You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     m...@rdb.name
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/graphics/squish/Makefile 327733 2013-09-20 
18:35:44Z bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s/logs/squish-1.10.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s
Log:

====>> Building graphics/squish
build started at Fri Oct 18 09:56:59 UTC 2013
port directory: /usr/ports/graphics/squish
building for: FreeBSD head-amd64-default-job-12 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 amd64
maintained by: m...@rdb.name
Makefile ident:      $FreeBSD: head/graphics/squish/Makefile 327733 2013-09-20 
18:35:44Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=97751
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=squish-1.10
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for squish-1.10:
====> Optimizations Selection: you can only select none or one of them
     ALTIVEC=off: Use Altivec instructions
     SSE=off: Use SSE optimized routines
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing -fPIC"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/squish
DOCSDIR=/usr/local/share/doc/squish
EXAMPLESDIR=/usr/local/share/examples/squish
WWWDIR=/usr/local/www/squish
ETCDIR=/usr/local/etc/squish
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for squish-1.10
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   squish-1.10 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of squish-1.10
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by squish-1.10 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by squish-1.10 for building
=> SHA256 Checksum OK for squish-1.10.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by squish-1.10 for building
===>  Extracting for squish-1.10
=> SHA256 Checksum OK for squish-1.10.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for squish-1.10
===========================================================================
=======================<phase: build-depends  >============================
===>   squish-1.10 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1... done
 done
===>   Returning to build of squish-1.10
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for squish-1.10
===========================================================================
=======================<phase: build          >============================
===>  Building for squish-1.10
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/graphics/squish/work/squish-1.10'
c++  -I. -O2 -pipe -fno-strict-aliasing -fPIC -oalpha.o -c alpha.cpp
alpha.cpp:117:15: error: use of undeclared identifier 'INT_MAX'
                int least = INT_MAX;
                            ^
1 error generated.
gmake[1]: *** [alpha.o] Error 1
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/graphics/squish/work/squish-1.10'
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/squish
===>  Cleaning for squish-1.10
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to